Redbelt HTTP API (1.0.0)

Download OpenAPI specification:

HTTP API

List Models

Authorizations:
BearerAuth
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Submit Inference

Authorizations:
BearerAuth
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)
Request Body schema: application/json
required
request_id
required
string <uuid> (Request Id)

Client-generated UUIDv7 retained with the exact body for retries.

Thread Id (string) or Thread Id (null) (Thread Id)
input
required
string (Input) [ 1 .. 100000 ] characters
model
required
string (Model) [ 1 .. 128 ] characters
max_output_tokens
integer (Max Output Tokens) [ 1 .. 100000 ]
Default: 4096
System Instructions (string) or System Instructions (null) (System Instructions)
output_format
string (Output Format)
Default: "text"
Enum: "text" "json"
JsonObject-Input (object) or null

Responses

Request samples

Content type
application/json
{
  • "request_id": "0194e3b8-8f80-7ba0-9426-317054159cf2",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "input": "string",
  • "model": "string",
  • "max_output_tokens": 4096,
  • "system_instructions": "string",
  • "output_format": "text",
  • "output_schema": {
    }
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "kind": "inference",
  • "status": "queued",
  • "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  • "output": "string",
  • "structured_output": {
    },
  • "wait_id": "bf7a87f9-89e0-481a-a995-b026ca4909e8",
  • "error_code": "string",
  • "partial": false
}

Get Inference

Authorizations:
BearerAuth
path Parameters
request_id
required
string <uuid> (Request Id)
query Parameters
wait
number (Wait) [ 0 .. 30 ]
Default: 0

Seconds to hold the request while the execution is queued or running. It returns as soon as the status changes to anything else, or with the current snapshot when the time is up.

header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "kind": "inference",
  • "status": "queued",
  • "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  • "output": "string",
  • "structured_output": {
    },
  • "wait_id": "bf7a87f9-89e0-481a-a995-b026ca4909e8",
  • "error_code": "string",
  • "partial": false
}

Cancel Inference

Authorizations:
BearerAuth
path Parameters
request_id
required
string <uuid> (Request Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "kind": "inference",
  • "status": "queued",
  • "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  • "output": "string",
  • "structured_output": {
    },
  • "wait_id": "bf7a87f9-89e0-481a-a995-b026ca4909e8",
  • "error_code": "string",
  • "partial": false
}

List Agents

Authorizations:
BearerAuth
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get Agent

Authorizations:
BearerAuth
path Parameters
agent_id
required
string <uuid> (Agent Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "name": "string",
  • "description": "string",
  • "input_schema": {
    }
}

Run Agent

Authorizations:
BearerAuth
path Parameters
agent_id
required
string <uuid> (Agent Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)
Request Body schema: application/json
required
request_id
required
string <uuid> (Request Id)

Client-generated UUIDv7 retained with the exact body for retries.

Thread Id (string) or Thread Id (null) (Thread Id)
input
required
string (Input) [ 1 .. 100000 ] characters
model
string (Model) [ 1 .. 128 ] characters
Default: "auto"
upload_ids
Array of strings <uuid> (Upload Ids) <= 100 items [ items <uuid > ]
folder_ids
Array of strings <uuid> (Folder Ids) <= 100 items [ items <uuid > ]

Responses

Request samples

Content type
application/json
{
  • "request_id": "0194e3b8-8f80-7ba0-9426-317054159cf2",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "input": "string",
  • "model": "auto",
  • "upload_ids": [
    ],
  • "folder_ids": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "kind": "inference",
  • "status": "queued",
  • "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  • "output": "string",
  • "structured_output": {
    },
  • "wait_id": "bf7a87f9-89e0-481a-a995-b026ca4909e8",
  • "error_code": "string",
  • "partial": false
}

List Workflows

Authorizations:
BearerAuth
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get Workflow

Authorizations:
BearerAuth
path Parameters
workflow_id
required
string <uuid> (Workflow Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "name": "string",
  • "description": "string",
  • "input_schema": {
    }
}

Run Workflow

Authorizations:
BearerAuth
path Parameters
workflow_id
required
string <uuid> (Workflow Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)
Request Body schema: application/json
required
request_id
required
string <uuid> (Request Id)

Client-generated UUIDv7 retained with the exact body for retries.

Thread Id (string) or Thread Id (null) (Thread Id)
object (JsonObject-Input)
Trigger (string) or Trigger (null) (Trigger)
JsonObject-Input (object) or null

Responses

Request samples

Content type
application/json
{
  • "request_id": "0194e3b8-8f80-7ba0-9426-317054159cf2",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "inputs": {
    },
  • "trigger": "string",
  • "trigger_input": {
    }
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "kind": "inference",
  • "status": "queued",
  • "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  • "output": "string",
  • "structured_output": {
    },
  • "wait_id": "bf7a87f9-89e0-481a-a995-b026ca4909e8",
  • "error_code": "string",
  • "partial": false
}

Get Execution

Authorizations:
BearerAuth
path Parameters
kind
required
string (Kind)
Enum: "agent" "workflow"
execution_id
required
string <uuid> (Execution Id)
query Parameters
wait
number (Wait) [ 0 .. 30 ]
Default: 0

Seconds to hold the request while the execution is queued or running. It returns as soon as the status changes to anything else, or with the current snapshot when the time is up.

header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "kind": "inference",
  • "status": "queued",
  • "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  • "output": "string",
  • "structured_output": {
    },
  • "wait_id": "bf7a87f9-89e0-481a-a995-b026ca4909e8",
  • "error_code": "string",
  • "partial": false
}

Cancel Execution

Authorizations:
BearerAuth
path Parameters
kind
required
string (Kind)
Enum: "agent" "workflow"
execution_id
required
string <uuid> (Execution Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",
  • "kind": "inference",
  • "status": "queued",
  • "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  • "output": "string",
  • "structured_output": {
    },
  • "wait_id": "bf7a87f9-89e0-481a-a995-b026ca4909e8",
  • "error_code": "string",
  • "partial": false
}

Execution Artifacts

Authorizations:
BearerAuth
path Parameters
kind
required
string (Kind)
Enum: "agent" "workflow"
execution_id
required
string <uuid> (Execution Id)
query Parameters
limit
integer (Limit) [ 1 .. 500 ]
Default: 100
offset
integer (Offset) [ 0 .. 100000 ]
Default: 0
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Download Artifact

Authorizations:
BearerAuth
path Parameters
kind
required
string (Kind)
Enum: "agent" "workflow"
execution_id
required
string <uuid> (Execution Id)
artifact_id
required
string <uuid> (Artifact Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "detail": [
    ]
}

Get Wait

Authorizations:
BearerAuth
path Parameters
wait_id
required
string <uuid> (Wait Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "kind": "string",
  • "status": "string",
  • "prompt": {
    }
}

Respond Wait

Authorizations:
BearerAuth
path Parameters
wait_id
required
string <uuid> (Wait Id)
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)
Request Body schema: application/json
required
idempotency_key
required
string (Idempotency Key) [ 8 .. 191 ] characters
Array of Answers (objects) or Answers (null) (Answers)
Decision (string) or Decision (null) (Decision)
Array of Folder Ids (strings) or Folder Ids (null) (Folder Ids)
Array of Upload Ids (strings) or Upload Ids (null) (Upload Ids)
Tool Parameters (object) or Tool Parameters (null) (Tool Parameters)

Responses

Request samples

Content type
application/json
{
  • "idempotency_key": "stringst",
  • "answers": [
    ],
  • "decision": "string",
  • "folder_ids": [
    ],
  • "upload_ids": [
    ],
  • "tool_parameters": {
    }
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "kind": "string",
  • "status": "string",
  • "prompt": {
    }
}

Start Upload

Authorizations:
BearerAuth
header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)
Request Body schema: application/json
required
folder_id
required
string <uuid> (Folder Id)

The ID of the folder where the file will be uploaded

file_name
required
string (File Name) <= 500 characters

The name of the file being uploaded including the extension

size
required
integer (Size)

The total size of the file in bytes (max 512MB)

Metadata (object) or Metadata (null) (Metadata)

Optional metadata dictionary associated with the file

Array of Tags (strings) or Tags (null) (Tags)

Optional list of tags for categorizing the file

Client Batch Id (string) or Client Batch Id (null) (Client Batch Id)

Optional batch identifier for grouping multiple uploads

External Id (string) or External Id (null) (External Id)

Client-provided external identifier (<=64 chars)

Responses

Request samples

Content type
application/json
{
  • "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
  • "file_name": "string",
  • "size": 0,
  • "metadata": { },
  • "tags": [
    ],
  • "client_batch_id": "string",
  • "external_id": "string"
}

Response samples

Content type
application/json
{
  • "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  • "part_size": 0,
  • "num_parts": 0,
  • "file_type_id": 0
}

Upload Part

Authorizations:
BearerAuth
path Parameters
upload_id
required
string <uuid> (Upload Id)

ID of the upload object

part_number
required
integer (Part Number)

The part number being uploaded (1-based indexing)

header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  • "part_number": 0,
  • "received_bytes": 0
}

Finish Upload

Authorizations:
BearerAuth
path Parameters
upload_id
required
string <uuid> (Upload Id)

ID of the upload object

header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  • "status": "string"
}

Abort Upload

Authorizations:
BearerAuth
path Parameters
upload_id
required
string <uuid> (Upload Id)

ID of the incomplete upload object

header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "detail": [
    ]
}

Get Upload Session

Authorizations:
BearerAuth
path Parameters
upload_id
required
string <uuid> (Upload Id)

ID of the upload object

header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  • "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  • "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
  • "file_name": "string",
  • "blob_name": "string",
  • "staging_blob_name": "string",
  • "committed_blob_name": "string",
  • "committed_blob_deleted": true,
  • "status": "string",
  • "part_size": 0,
  • "num_parts": 0,
  • "parts_received": 0,
  • "size": 0,
  • "client_batch_id": "string",
  • "content_revision": 1
}

Get Upload

Authorizations:
BearerAuth
path Parameters
upload_id
required
string <uuid> (Upload Id)

ID of the upload object

header Parameters
X-Redbelt-Organization-Id (string) or X-Redbelt-Organization-Id (null) (X-Redbelt-Organization-Id)

Responses

Response samples

Content type
application/json
{
  • "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  • "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  • "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
  • "title": "string",
  • "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
  • "file_name": "string",
  • "source_type": "user_upload",
  • "source_metadata": { },
  • "external_id": "string",
  • "metadata": { },
  • "created_at": "2019-08-24T14:15:22Z",
  • "last_modified_at": "2019-08-24T14:15:22Z",
  • "delete_at": "2019-08-24T14:15:22Z",
  • "is_deleted": false,
  • "last_modified_by_user_id": "ee1a2e7e-88a3-4b95-8ec0-7ebb834a0317",
  • "upload_status_type_id": 0,
  • "file_type_id": 0,
  • "has_tables": false,
  • "size": 0,
  • "tags": [
    ],
  • "blob_name": "string",
  • "content_revision": 1
}